﻿using FluentValidation.AspNetCore;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Caching.Memory;
using Microsoft.Extensions.Options;
using Newtonsoft.Json.Linq;
using Performance.DtoModels;
using Performance.DtoModels.AppSettings;
using Performance.Infrastructure;
using Performance.Services;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Performance.Api.Controllers
{
    [Route("api/[controller]")]
    public class MenuController : Controller
    {
        private MenuService _menuService;
        public MenuController(MenuService menuService)
        {
            _menuService = menuService;
        }

        /// <summary>
        /// 设置用户管辖医院
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        [Route("menulist")]
        [HttpPost]
        public ApiResponse MenuList([FromBody]ApiRequest request)
        {
            var menuList = _menuService.GetMenuList(request.ActiveUID);
            return new ApiResponse(ResponseType.OK, menuList);
        }
    }
}
